Apple App Store Apps
curl --request POST \
--url https://api.socq.ai/v1/apple-app-store/app-detail \
--header 'Authorization: Bearer <token>' \
--header 'Content-Type: application/json' \
--data '
{
"urls": [
"<string>"
]
}
'import requests
url = "https://api.socq.ai/v1/apple-app-store/app-detail"
payload = { "urls": ["<string>"] }
headers = {
"Authorization": "Bearer <token>",
"Content-Type": "application/json"
}
response = requests.post(url, json=payload, headers=headers)
print(response.text)const options = {
method: 'POST',
headers: {Authorization: 'Bearer <token>', 'Content-Type': 'application/json'},
body: JSON.stringify({urls: ['<string>']})
};
fetch('https://api.socq.ai/v1/apple-app-store/app-detail', options)
.then(res => res.json())
.then(res => console.log(res))
.catch(err => console.error(err));
{
"code": 200,
"data": {
"task_id": "<string>",
"status": "<string>",
"created_time": "<string>"
}
}{
"code": 422,
"error": {
"message": "<string>",
"type": "<string>",
"details": {}
}
}Apple App Store Apps
获取 Apple App Store 的标准化公开 Apps 数据。
POST
/
v1
/
apple-app-store
/
app-detail
Apple App Store Apps
 成功返回的每条标准结果扣除0.15 积分。列表接口按 results_limit 预扣并按实际结果结算。
请求体
{
"urls": [
"https://apps.apple.com/us/app/chatgpt/id6448311069"
]
}
通过 MCP 使用
| 接口 | 值 |
|---|---|
| REST | POST /v1/apple-app-store/app-detail |
| Compact MCP | socq_execute with endpoint: "apple-app-store/app-detail" |
| Typed MCP | socq_apple_app_store_app_detail |
| Exact-tool URL | https://api.socq.ai/mcp?tools=apple_app_store_apps |
| CLI | socq apple-app-store app-detail |
请求成功后会返回
task_id。使用 socq_get_task 查询任务,成功后从 results.items 读取标准化结果。结果字段
| 字段 | 类型 | 可为空 | 说明 |
|---|---|---|---|
id | string | 是 | 当前结果项的唯一标识。 |
platform | string | 否 | 结果所属的平台,例如 instagram 或 linkedin。 |
resource | string | 否 | 该结果对应的 SocQ 资源,例如 videos 或 comments。 |
type | string | 否 | 结果项的类别,例如 video、post 或 comment。 |
url | string | 是 | 结果项的公开访问地址(如可获得)。 |
published_at | string | 是 | 源内容的发布时间(如可获得),使用 ISO 8601 格式。 |
collected_at | string | 否 | SocQ 采集或处理该结果的时间,使用 ISO 8601 格式。 |
app_id | string | 是 | 应用的公开标识或包名。 |
name | string | 是 | 应用名称。 |
text | string | 是 | 结果项的主要文本内容。 |
developer | string | 是 | 应用开发者或发行方名称。 |
category | string | 是 | 结果项所属分类。 |
rating | number | 是 | 平台报告的评分值。 |
reviews_count | integer | 是 | 评价数量。 |
installs | string | 是 | 应用商店报告的安装量或下载量区间。 |
price | object | 是 | 条目或商品的价格信息。 |
price | object | 否 | 标准结果中的字段值。 |
price.amount | number | 是 | 货币金额的数值。 |
price.currency | string | 是 | 货币金额所使用的币种代码或符号。 |
price.formatted | string | 是 | 便于阅读的价格或薪酬文本。 |
rank | integer | 是 | 结果在来源列表或排名中的位置。 |
media | array<object> | 是 | 结果附带的图片、视频或其他媒体。 |
任务完成响应
{
"code": 200,
"message": "success",
"data": {
"task_id": "task_example",
"public_id": "apple-app-store/app-detail",
"status": "succeeded",
"result_count": 0,
"credits_amount": 0,
"results": {
"schema_id": "app",
"schema_version": "1.0",
"items": [],
"limit": 20,
"next_cursor": null,
"has_more": false
}
}
}
⌘I

